--[[ LogisticTrainOrganizer
  * Copyright (c) 2019 Goswin von Brederlow
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
--]]

local tag_chest = table.deepcopy(data.raw["container"]["wooden-chest"])
tag_chest.name = "tag-chest"
tag_chest.minable = {mining_time = 1, result = "tag-chest"}

data:extend {
  {
    type = "item-with-tags",
    name = "tag-chest",
    icon = "__base__/graphics/icons/wooden-chest.png",
    icon_size = 32,
    flags = {},
    subgroup = "other",
    order = "s[item-with-tags]-o[item-with-tags]",
    stack_size = 1,
    place_result = "tag-chest",
  },
  tag_chest,
  {
    type = "recipe",
    name = "tag-chest",
    ingredients = {},
    result = "tag-chest"
  },
}
